> ## Documentation Index
> Fetch the complete documentation index at: https://docs.daily.co/llms.txt
> Use this file to discover all available pages before exploring further.

# List Available Numbers

> Search for available phone numbers to purchase



## OpenAPI

````yaml GET /list-available-numbers
openapi: 3.0.3
info:
  title: Daily API
  description: |-
    The Daily REST API offers the ability to manage the following: 
    - Overall Domain Configuration
    - Individual Room creation and config management 
    - Meeting token creation and validation
    - Recording and compositing management 
    - Meeting analytics
    - Logs and metrics
    - Real-time presence

    Please reach out to help@daily.co if we can help with anything
  version: 1.1.1
  contact:
    name: Daily
    url: https://docs.daily.co
    email: help@daily.co
servers:
  - url: https://api.daily.co/v1
security:
  - bearerAuth: []
paths:
  /list-available-numbers:
    get:
      tags:
        - phone-numbers
      summary: /list-available-numbers
      description: Search for available phone numbers to purchase
      operationId: ListAvailableNumbers
      parameters:
        - name: areacode
          in: query
          description: An areacode to search within.
          required: false
          schema:
            type: string
        - name: region
          in: query
          description: >-
            A region or state to search within. Must be an ISO 3166-2 alpha-2
            code, i.e. CA for California. Cannot be used in combination with
            areacode.
          required: false
          schema:
            type: string
        - name: city
          in: query
          description: >-
            A specific City to search within. Example, New York. The string must
            be url encoded because it is a url parameter. Must be used in
            combination with region. Cannot be used in combination with
            areacode, starts_with, contains, or ends_with.
          required: false
          schema:
            type: string
        - name: contains
          in: query
          description: >-
            A string of 3 to 7 digits that should appear somewhere in the
            number.
          required: false
          schema:
            type: string
        - name: starts_with
          in: query
          description: >-
            A string of 3 to 7 digits that should be used as the start of a
            number. Cannot be used in combination with contains or ends_with.
          required: false
          schema:
            type: string
        - name: ends_with
          in: query
          description: >-
            A string of 3 to 7 digits that should be used as the end of a
            number. Cannot be used in combination with starts_with or contains.
          required: false
          schema:
            type: string
      responses:
        '200':
          description: '200'
          content:
            application/json:
              examples:
                Result:
                  value:
                    total_count: 6
                    data:
                      - phoneNumber: '+13058700061'
                        region: FL
                      - phoneNumber: '+13058700062'
                        region: FL
                      - phoneNumber: '+13058700063'
                        region: FL
                      - phoneNumber: '+13058700064'
                        region: FL
                      - phoneNumber: '+13058700065'
                        region: FL
                      - phoneNumber: '+13058700066'
                        region: FL
        '400':
          description: 400 Validation Error
          content:
            application/json:
              schema:
                type: object
                properties: {}
              examples:
                Result:
                  value:
                    error: validation-error
                    info: invalid path parameter
        '500':
          description: 500 Vendor Unavailable
          content:
            application/json:
              schema:
                type: object
                properties: {}
              examples:
                Result:
                  value:
                    error: vendor-unavailable
                    info: Phone number unavailable
      deprecated: false
      security:
        - bearerAuth: []
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````